#275 closed defect (fixed)

ada-tests/sptests/sp0[4|7] do not build (tcb_to_id)

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

sparc-rtems-gnatbind -aO./ -aO../../../../../lib/include/adainclude -aO../../../../../erc32/lib/include/adainclude -aO../../../../../../../../rtems.work/c/src/ada-tests/support -I- -x sp04.ali
sparc-rtems-gnatlink -B../../../../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qrtems -O4 -g -Wall -mcpu=cypress -o sp04 sp04.ali
./sptest.o: In function `sptesttask_switch':
/users/rtems/src/rtems-cvs/build/sparc/sparc-rtems/c/erc32/ada-tests/sptests/sp04/../../../../../../../../rtems.work/c/src/ada-tests/sptests/sp04/sptest.adb:293: undefined reference to `tcb_to_id'
collect2: ld returned 1 exit status

The same error for sp07

Release:
RTEMS-CVS

Change History (3)

comment:1 Changed on Aug 26, 2002 at 12:48:33 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Jul 9, 2003 at 9:37:47 AM by Ralf Corsepius

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch commited to branch and trunk.

Committing these was a time-consuming pain (cf. PR425) I am not sure if all patches finally made it into CVS.

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.